# $Revision: 1.13 $, $Date: 2002/07/03 10:25:50 $
Summary:	A general-purpose resource monitoring system
Summary(es):	Verificacin de recursos
Summary(pl):	System monitorowania zasobw oglnego przeznaczenia
Summary(pt_BR):	Monitorao de recursos
Summary(ru):	"mon" -     
Name:		mon
Version:	0.99.2
Release:	4
License:	GPL
Group:		Applications/System
Source0:	ftp://ftp.kernel.org/pub/software/admin/mon/%{name}-%{version}.tar.bz2
Source1:	%{name}-%{name}.cf
Source2:	%{name}-%{name}.cgi
Source3:	%{name}.init
Source4:	%{name}.sysconfig
URL:		http://www.kernel.org/software/mon/
BuildRequires:	ed
Requires:	perl-Mon
Requires:	perl-Time-Period
Requires:	perl-TimeDate
Requires:	perl-Time-HiRes
Requires:	perl-Convert-BER
Requires:	perl-Net-Telnet
Prereq:		/sbin/chkconfig
Buildroot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mon is a general-purpose resource monitoring system. It can be used to
monitor network service availability, server problems, environmental
conditions (i.e., the temperature in a room) or other things. Mon can
be used to test the condition and/or to trigger an action upon failure
of the condition. Mon keeps the testing and action-taking tasks as
separate, stand-alone programs.

Mon is very extensible. Monitors and alerts are not a part of mon, but
the distribution comes with a handful of them to get you started. This
means that if a new service needs monitoring, or if a new alert is
required, the mon server will not need to be changed.

%description -l es
Verificacin de recursos.

%description -l pl
mon jest systemem monitorowania zasobw oglnego przeznaczenia. Moe
by uywany do monitorowania dostpnoci sieci, problemw z serwerem,
warunkw rodowiska (np. temperatury) i innych. Moe by uywany do
sprawdzania warunkw i/lub uruchamiania jakiej akcji po wykryciu
awarii. Akcje te s podejmowane przez uruchamianie oddzielnych
programw.

mon jest rozszerzalny. Monitory i alarmy nie s czci mona, ale
dystrybucja zawiera pewien ich zestaw na pocztek. To znaczy, e
jeeli nowa usuga potrzebuje monitorowania lub potrzebny jest nowy
alarm, serwer mon nie musi by zmieniany.

%description -l pt_BR
Mon  um sistema de propsito geral para monitorao de recursos, o
qual pode ser usado para monitorar a disponibilidade de servios de
uma rede, problemas em servidores, condies ambientais, etc

A monitorao de recursos pode ser vista como duas tarefas separadas:
o teste de uma condio e a ao a ser tomada em caso de falha. O mon
foi projetado para fazer estas duas duas tarefas separadas usando
programas independentes, e foi implementado como um escalonador que
executa os monitores (que testam uma condio), e chama os alertas
apropriados se o monitor falhar.

Monitores e alertas no fazem parte do mon, apesar de que uma srie
deles vem neste pacote, sendo teis para comear a us-lo. Isto
significa que se um novo servio necessita de monitorao, ou se um
novo alerta  requerido, o servidor mon no precisa ser alterado. Isto
faz o mon ser facilmente estendido.

%description -l ru
"mon" -     .  
 ,  ,    ,  
 .     
,      . 
      ,  
       ,
 -  .    "mon"  
,   ,  
,    ,  
 .       
"mon"'.     .

%prep
%setup -q

%build
# change hardcoded paths in scripts, etc.
for i in mon doc/mon.8 mon.d/{file_change,http_t*,traceroute,up_rtt}.monitor clients/skymon/skymon clients/monshow ; do 
ed $i <<EOF
,s:/usr/local/:/usr/:g
wq
EOF
done

RPM_OPT_FLAGS="%{rpmcflags} -DUSE_VENDOR_CF_PATH=1"; export RPM_OPT_FLAGS

%{__make} all -C mon.d

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/%{name},/etc/{rc.d/init.d,sysconfig,mon}} \
	$RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man{1,8},%{_libdir}/mon/{alert.d,mon.d}} \
	$RPM_BUILD_ROOT/var/lib/mon/{state.d,log.d}

install mon 		$RPM_BUILD_ROOT%{_bindir}
install clients/moncmd 	$RPM_BUILD_ROOT%{_bindir}
install clients/monshow $RPM_BUILD_ROOT%{_bindir}
install clients/skymon/skymon $RPM_BUILD_ROOT%{_bindir}
install doc/*.1 	$RPM_BUILD_ROOT%{_mandir}/man1
install doc/*.8 	$RPM_BUILD_ROOT%{_mandir}/man8
install alert.d/* 	$RPM_BUILD_ROOT%{_libdir}/mon/alert.d
install mon.d/*.monitor	$RPM_BUILD_ROOT%{_libdir}/mon/mon.d
install etc/auth.cf 	$RPM_BUILD_ROOT%{_sysconfdir}/mon/auth.cf
touch 			$RPM_BUILD_ROOT%{_sysconfdir}/mon/userfile

#install -d $RPM_BUILD_ROOT/var/www/cgi-bin/
#install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/var/www/cgi-bin/

install %{SOURCE1} 	$RPM_BUILD_ROOT%{_sysconfdir}/mon/mon.cf
install %{SOURCE3} 	$RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/%{name}
install %{SOURCE4} 	$RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{name}

tar czf skymon.tar.gz clients/skymon
tar czf etc.tar.gz etc/[a-z]*

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
if [ -f /var/lock/subsys/mon ]; then
        /etc/rc.d/init.d/mon reload 1>&2
else
        echo "Type \"/etc/rc.d/init.d/mon start\" to start inet server" 1>&2
fi

%preun
if [ "$1" = "0" ]; then
        if [ -f /var/lock/subsys/mon ]; then
                /etc/rc.d/init.d/mon stop >&2
        fi
        /sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc [A-Z]* doc/[A-Z]* skymon.tar.gz etc.tar.gz
%dir %{_sysconfdir}/mon
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mon/*
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/sysconfig/mon
%attr(754,root,root) %{_sysconfdir}/rc.d/init.d/mon
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/mon
%dir %{_libdir}/mon/*.d
%attr(755,root,root) %{_libdir}/mon/*.d/*
%dir /var/lib/mon/state.d
%dir /var/lib/mon/log.d
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: mon.spec,v $
Revision 1.13  2002/07/03 10:25:50  qboosh
- BR: ed instead of Requires

Revision 1.12  2002/07/03 10:22:29  ankry
- remove /usr/local/* paths
- release 4, STBR

Revision 1.11  2002/06/30 20:22:08  ankry
- let's call it a typo; STBR again

Revision 1.10  2002/06/30 18:41:56  kloczek
- use new %%doc.

Revision 1.9  2002/06/29 23:30:48  ankry
- added missing %%dirs
- release 3

Revision 1.8  2002/05/25 08:29:23  kloczek
- merge translations from KSI and Conectiva.

Revision 1.7  2002/02/23 03:54:20  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:29:17  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:13:54  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/11/12 14:12:19  qboosh
- adapterized, added missing dirs to %%files

Revision 1.3  2001/09/25 15:05:29  qboosh
- Prereq: /sbin/chkconfig
- pl translation
- release 2

Revision 1.2  2001/09/09 19:32:53  areq
- 0.99.2

Revision 1.1  2001/09/01 18:04:28  areq
- init PLD spec
